import expres, {Router} from 'express';
import multer from 'multer';
import {AlbumController} from '../controllers/album';
import {auth} from '../middleware/auth';

const upload = multer({dest: 'public/uploads'});
const router: Router = expres.Router();

router.get('/', AlbumController.getAlbums);
router.get('/:id', AlbumController.getAlbum);
router.post('/', upload.single('image'), AlbumController.createAlbum);
router.post('/:id/publish', AlbumController.publishAlbum);
router.delete('/:id', auth, AlbumController.deleteAlbum);

export {router as AlbumRouter};
