import expres, {Router} from 'express';
import multer from 'multer';
import {ArtistController} from '../controllers/artist';
import {auth} from '../middleware/auth';

const upload = multer({dest: 'public/uploads'});
const router: Router = expres.Router();

router.get('/', ArtistController.getArtists);
router.post('/', upload.single('photo'), ArtistController.createArtist);

router.delete('/:id', auth, ArtistController.deleteArtist);
router.post('/:id/publish', ArtistController.publishArtist);

export {router as ArtistRouter};
