import expres, {Router} from 'express';
import {TrackController} from '../controllers/track';
import {auth} from '../middleware/auth';

const router: Router = expres.Router();

router.get('/', TrackController.getTracks);
router.post('/', TrackController.createTrack);
router.delete('/:id', auth, TrackController.deleteTrack);
router.post('/:id/publish', TrackController.publishTrack);

export {router as TrackRouter};
