import ITrackHistory from '../interfaces/ITrackHistory';
import TrackHistoryModel from '../models/track.history';
import UserModel from '../models/user';

export async function create(trackHistory: ITrackHistory) {
	try {
		const newTrackHistory = await new TrackHistoryModel({
			user: trackHistory.user,
			track: trackHistory.track,
		}).save();
		return newTrackHistory.populate('track user');
	} catch (error) {
		throw error;
	}
}

export async function getAll(token: string) {
	try {
		const userId = await UserModel.findOne({token});
		const trackHistories = await TrackHistoryModel.find({
			user: userId,
		})
			.populate({
				path: 'track',
				populate: {path: 'album', populate: {path: 'artist'}},
			})
			.sort({datetime: -1});
		return trackHistories;
	} catch (error) {
		throw error;
	}
}
