import React from 'react';
import HomePage from './containers/HomePage';
import {BrowserRouter, Routes, Route} from 'react-router-dom';
import Layout from './components/Layout/Layout';
import Albums from './containers/Albums';
import Tracks from './containers/Tracks';
import Login from './containers/Login';
import TrackHistory from './containers/TrackHistory';
import AddArtist from './containers/AddArtist';
import AddAlbum from './containers/AddAlbum';
import AddTrack from './containers/AddTrack';

const App: React.FunctionComponent = (): React.ReactElement => {
	return (
		<BrowserRouter>
			<Routes>
				<Route path="/" element={<Layout />}>
					<Route index element={<HomePage />} />
					<Route path="albums" element={<Albums />} />
					<Route path="tracks" element={<Tracks />} />
					<Route path="login" element={<Login />} />
					<Route path="track-history" element={<TrackHistory />} />
					<Route path="add-artist" element={<AddArtist />} />
					<Route path="add-album" element={<AddAlbum />} />
					<Route path="add-track" element={<AddTrack />} />
				</Route>
			</Routes>
		</BrowserRouter>
	);
};

export default App;
