import IArtist from '../interfaces/IArtist';
import {artistInstance} from './instances';

export const artistApi = {
	get: async () => {
		try {
			const response = await artistInstance.get('');
			return response.data;
		} catch (err: unknown) {
			console.log(err);
		}
	},

	add: async (newArtist: FormData) => {
		try {
			const response = await artistInstance.post('', {
				method: 'post',
				data: newArtist,
				headers: {'Content-Type': 'multipart/form-data'},
			});
			return response.data;
		} catch (err: unknown) {
			console.log(err);
		}
	},
};
