import React, {useEffect} from 'react';
import {useNavigate} from 'react-router-dom';
import {getTracks} from '../features/track-history/trackHistorySlice';
import {useAppDispatch, useAppSelector} from '../store/hooks';

const TrackHistory = () => {
	const dispatch = useAppDispatch();
	const {tracks} = useAppSelector((state) => state.trackHistory);
	const {userLoggedIn} = useAppSelector((state) => state.user);
	const token = window.sessionStorage.getItem('token');
	const navigate = useNavigate();

	useEffect(() => {
		if (!userLoggedIn) navigate('/');
		dispatch(getTracks(token!));
	}, []);

	return (
		<div className="flex gap-3 flex-col pt-8">
			{tracks.map((track: any) => {
				return (
					<div className="p-6 border-black border" key={track._id}>
						<p>Song Name: {track.track.name}</p>
						<p>Artist Name: {track.track.album.artist.name}</p>
						<p>Datetime: {track.datetime}</p>
					</div>
				);
			})}
		</div>
	);
};

export default TrackHistory;
