import {configureStore} from '@reduxjs/toolkit';
import albumSlice from '../features/album/albumSlice';
import artistSlice from '../features/artist/artistSlice';
import trackHistorySlice from '../features/track-history/trackHistorySlice';
import trackSlice from '../features/track/trackSlice';
import userSlice from '../features/user/userSlice';

export const store = configureStore({
	reducer: {
		artist: artistSlice,
		album: albumSlice,
		track: trackSlice,
		user: userSlice,
		trackHistory: trackHistorySlice,
	},
});

export type RootState = ReturnType<typeof store.getState>;
export type AppDispatch = typeof store.dispatch;
